<?php
$titlu='Sitemap maxime';
require'f_sitemap.php';
echo sitemap($adresasite[0].'/maxime','Maxime');
$categorii=$conn->query('SELECT`id`,`nume`FROM`maxime_categorii`ORDER BY`nume`');
while($categorie=$categorii->fetch_row())
{
if(ceil($y1/$pepagyna)>$z1)
{
$z1++;
echo sitemap($adresasite[0].'/maxime/pagina/'.$z1,'Maxime - pagina '.$z1);
}
$y2=1;
$z2=1;
echo sitemap($adresasite[0].'/maxime/categorie/'.$categorie[0].'-'.seo($categorie[1]),'Maxime, categoria '.htmlspecialchars($categorie[1]));
$maxime=$conn->query('SELECT`id`,`text`FROM`maxime`WHERE`cid`="'.$categorie[0].'"ORDER BY`data`DESC');
while($maxima=$maxime->fetch_row())
{
if(ceil($y2/$pepagyna)>$z2)
{
$z2++;
echo sitemap($adresasite[0].'/maxime/categorie/'.$categorie[0].'-'.seo($categorie[1]).'/pagina/'.$z2,'Maxime, categoria '.htmlspecialchars($categorie[1]).' - pagina '.$z2);
}
$nume=mb_substr($maxima[1],0,15);
echo sitemap($adresasite[0].'/maxima/id/'.$maxima[0].'-'.seo($nume),'Maximă '.$maxima[0].' - '.htmlspecialchars($nume));
$aprecieriile=$conn->query('SELECT COUNT(*)FROM`maxime_aprecieri`WHERE`pid`="'.$maxima[0].'"&&`valoare`="1"')->fetch_row()[0];
if($aprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-maxima/id/'.$maxima[0].'-'.seo($nume).'/tip/aprecieri','Aprecieri maximă '.$maxima[0].' - '.htmlspecialchars($nume));
$numar_aprecieri=ceil($aprecieriile/$pepagyna);
for($aprecieri=1;$aprecieri<$numar_aprecieri;$aprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-maxima/id/'.$maxima[0].'-'.seo($nume).'/tip/aprecieri/pagina/'.($aprecieri+1),'Aprecieri maximă '.$maxima[0].' - '.htmlspecialchars($nume).' - pagina '.($aprecieri+1));
}
}
$dezaprecieriile=$conn->query('SELECT COUNT(*)FROM`maxime_aprecieri`WHERE`pid`="'.$maxima[0].'"&&`valoare`="2"')->fetch_row()[0];
if($dezaprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-maxima/id/'.$maxima[0].'-'.seo($nume).'/tip/dezaprecieri','Dezaprecieri maximă '.$maxima[0].' - '.htmlspecialchars($nume));
$numar_dezaprecieri=ceil($dezaprecieriile/$pepagyna);
for($dezaprecieri=1;$dezaprecieri<$numar_dezaprecieri;$dezaprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-maxima/id/'.$maxima[0].'-'.seo($nume).'/tip/dezaprecieri/pagina/'.($dezaprecieri+1),'Dezaprecieri maximă '.$maxima[0].' - '.htmlspecialchars($nume).' - pagina '.($dezaprecieri+1));
}
}
$comentariile=$conn->query('SELECT COUNT(*)FROM`maxime_comentarii`WHERE`pid`="'.$maxima[0].'"')->fetch_row()[0];
if($comentariile>0)
{
echo sitemap($adresasite[0].'/comentarii-maxima/id/'.$maxima[0].'-'.seo($nume),'Comentarii maximă '.$maxima[0].' - '.htmlspecialchars($nume));
$numar_comentarii=ceil($comentariile/$pepagyna);
for($comentarii=1;$comentarii<$numar_comentarii;$comentarii++)
{
echo sitemap($adresasite[0].'/comentarii-maxima/id/'.$maxima[0].'-'.seo($nume).'/pagina/'.($comentarii+1),'Comentarii maximă '.$maxima[0].' - '.htmlspecialchars($nume).' - pagina '.($comentarii+1));
}
}
$notele=$conn->query('SELECT COUNT(*)FROM`maxime_note`WHERE`pid`="'.$maxima[0].'"')->fetch_row()[0];
if($notele>0)
{
echo sitemap($adresasite[0].'/note-maxima/id/'.$maxima[0].'-'.seo($nume),'Note maximă '.$maxima[0].' - '.htmlspecialchars($nume));
$numar_note=ceil($notele/$pepagyna);
for($note=1;$note<$numar_note;$note++)
{
echo sitemap($adresasite[0].'/note-maxima/id/'.$maxima[0].'-'.seo($nume).'/pagina/'.($note+1),'Note maximă '.$maxima[0].' - '.htmlspecialchars($nume).' - pagina '.($note+1));
}
}
$y2++;
}
$y1++;
}
echo$x2;
require'f_fun.php';